package org.jharks.workflow;

import java.io.Serializable;


/**
 * 
 * @author Michael J. Rizzo
 * @version 1.0
 */
public class AnswerProperty extends AbstractProperty implements
        WorkFlowProperty, Serializable {

	private static final long serialVersionUID = 1L;

	private String value;
    
    /**
     * Default constructor.
     */
    public AnswerProperty() {
        super();
    }
    
    /**
     * Constructor that sets all attributes of this <CODE>AnswerProperty</CODE>
     * instance.
     * @param name the property name.
     * @param value the property value.
     */
    public AnswerProperty(String name, String value) {
        super(name);
        this.value = value;
    }


    /**
     * @see org.jharks.workflow.WorkFlowProperty#getStringValue()
     */
    public String getStringValue() {
        return this.value;
    }

    /**
     * Set the property value.
     * @param value the property value.
     */
    public void setValue(String value) {
        this.value = value;
    }
    
    /**
     * @see Object#clone()
     */
    public Object clone()
    {
        AnswerProperty prop = (AnswerProperty) super.clone();
        prop.value = value;
        return prop;
    }
      
}
