package org.jharks.workflow;

/**
 * A class implements the <CODE>AnswerValueHandler</CODE> to allow for
 * transformation of a custom object to a persistable format. 
 * @author Michael J. Rizzo
 * @version 1.0
 */
public interface AnswerValueHandler {

    /**
     * The value handler transformation method that converts an object
     * to a persistable string. 
     * @param value the value object to transform.
     * @return the <CODE>String</CODE> representing the value object in 
     * a persistable format. 
     */
    public String format(Object value);
    
    /**
     * Returns a string representing the type of objects the hanlder handles.
     * @return the type of objects handled by this handler.
     */
    public String getHandlerType();
}
