package org.jharks.workflow;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.xml.sax.Attributes;

/**
 * Creation Factory for <CODE>Loader</CODE> objets.
 * @author Michael J. Rizzo
 * @version 1.0
 */

public class LoaderCreationFactory extends AbstractObjectCreationFactory {

    /**
     * Create object for specified implementation of <CODE>Loader</CODE>
     * @param attributes the set of attributes within the XML node 
     *        processed by the digester.
     * @return an instance of a <CODE>Loader</CODE> object.
     * @see org.apache.commons.digester.ObjectCreationFactory
     * #createObject(org.xml.sax.Attributes)
     */
    public Object createObject(Attributes attributes) throws Exception {
        String className = attributes.getValue("type");
        String alias = attributes.getValue("alias");
        Loader l = Loader.getLoaderInstance(className);
        l.setLoaderAlias(alias);
        return l;
    }
}
