package org.jharks.workflow;

/**
 * Class represents a node of queue.
 * @author Michael J. Rizzo
 * @version 1.0
 */
public class QueueNode {
    
    /** The node name. */
    private String name;
    
    /** The node value. */
    private String value;
    
    /**
     * Default public constructor.
     */
    public QueueNode() {
    }
    
    /**
     * Constructor that initializes attributes of node. 
     * @param name the name of the node.
     * @param value the value for the node.
     */
    public QueueNode(String name, String value) {
        this.name = name;
        this.value = value;
    }
    
    /**
     * Returns the node name.
     * @return Returns the name.
     */
    public String getName() {
        return name;
    }
    
    /**
     * Set the node name.
     * @param name The name to set.
     */
    public void setName(String name) {
        this.name = name;
    }
    
    /**
     * Returns the node value.
     * @return Returns the value.
     */
    public String getValue() {
        return value;
    }
    
    /**
     * Set the node value.
     * @param value The value to set.
     */
    public void setValue(String value) {
        this.value = value;
    }
}
