package org.jharks.workflow;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.xml.sax.Attributes;

/**
 * Creation Factory for <CODE>RuleCondition</CODE> objets.
 * @author Michael J. Rizzo
 * @version 1.0
 */

public class RuleConditionCreationFactory 
  extends AbstractObjectCreationFactory {

    /**
     * Create object for specified implentation of <CODE>RuleCondition</CODE>
     * @param attributes the set of attributes within the XML node 
     * processed by the digester.
     * @return an instance of a <CODE>RuleCondition</CODE> object.
     * @see org.apache.commons.digester.ObjectCreationFactory#createObject(
     * org.xml.sax.Attributes)
     */
    public Object createObject(Attributes attributes) throws Exception {
        String className = attributes.getValue("type");
        return RuleCondition.getRuleConditionInstance(className);
    }
}
