package org.jharks.workflow;

import org.apache.commons.digester.AbstractObjectCreationFactory;
import org.xml.sax.Attributes;

/**
 * Creation Factory for <CODE>Rule</CODE> objets.
 * @author Michael J. Rizzo
 * @version 1.0
 */

public class RuleCreationFactory extends AbstractObjectCreationFactory {

    /**
     * Create object for specified implentation of <CODE>Rule</CODE>
     * @param attributes the set of attributes within the XML node processed by the digester.
     * @return an instance of a <CODE>Rule</CODE> object.
     * @see org.apache.commons.digester.ObjectCreationFactory#createObject(org.xml.sax.Attributes)
     */
    public Object createObject(Attributes attributes) throws Exception {
        String className = attributes.getValue("type");
        return Rule.getRuleInstance(className);
    }
}
