package org.jharks.workflow;

/**
 * 
 * @author Michael J. Rizzo
 * @version 1.0
 */
public interface WorkFlowProperty extends Comparable<AbstractProperty>, Cloneable {

    /**
     * The name of the property.
     * @return The name of the property. 
     */
    public String getName();
    
    /**
     * Set the property name.
     * @param name the property name.
     */
    public void setName(String name);
    
    /** 
     * Return a string representation of the property value.
     * @return the value as a <CODE>String</CODE>.
     */
    public String getStringValue();
    
}
