package org.jharks.workflow.exception;

/**
 * Exception that indicates that there is an error in the 
 * configuration of the workflow component.
 * @author Michael J. Rizzo
 * @version 1.0
 */
public class ConfigurationException extends WorkFlowException {

	private static final long serialVersionUID = 1L;

	/**
     * Create a <code>ConfigurationException</code> and set the 
     * exception error message.
     *
     * @param message the message of the exception
     */
    public ConfigurationException(String message) {
        super(message);
    }

    /**
     * Create a <code>ConfigurationException</code>, and set 
     * exception object that caused this exception.  The message 
     * is set by default to be the one from the original exception.
     * 
     * @param cause the original exception.
     */
    public ConfigurationException(Throwable cause) {
        super(cause);
    }

    /**
     * Create a <code>ConfigurationException</code>, set the exception 
     * error message along with the exception object that caused this 
     * exception.
     * @param message the detail of the error message.
     * @param cause the original exception.
     */
    public ConfigurationException(String message, Throwable cause) {
        super(message, cause);
    }

}
