package org.jharks.workflow.exception;

/**
 * Exception indicating that no <code>AnswerValueHandler</code> was found
 * for the custom value object.
 * @author Michael J. Rizzo
 * @version 1.0
 */
public class MissingValueHandlerException extends WorkFlowException {

	private static final long serialVersionUID = 1L;

	/**
     * Create a <code>MissingValueHandlerException</code> and set the 
     * exception error message.
     *
     * @param message the message of the exception
     * 
     */
    public MissingValueHandlerException(String message) {
        super(message);
    }

    /**
     * Create a <code>MissingValueHandlerException</code>, and set 
     * exception object that caused this exception.  The message 
     * is set by default to be the one from the original exception.
     * 
     * @param cause the original exception.
     */
    public MissingValueHandlerException(Throwable cause) {
        super(cause);
    }

    /**
     * Create a <code>MissingValueHandlerException</code>, set the exception 
     * error message along with the exception object that caused this 
     * exception.
     * @param message the detail of the error message.
     * @param cause the original exception.
     */
    public MissingValueHandlerException(String message, Throwable cause) {
        super(message, cause);
    }

}
