package org.jharks.workflow.exception;

/**
 * A specialized <code>WorkFlowException</code> that indicates an
 * error occurred executing an init block on a configured state within the 
 * workflow.
 * 
 * @author Micahel J. Rizzo
 *
 */
public class StateInitializationException extends WorkFlowException {

	private static final long serialVersionUID = 1L;

	/**
     * Create a <code>StateInitializationException</code> and set the 
     * exception error message.
     *
     * @param message the message of the exception.
     */
    public StateInitializationException(String message) {
        super(message);
    }

    /**
     * Create a <code>StateInitializationException</code>, and set exception
     * object that caused this exception.  The message is set by default to be
     * the one from the original exception.
     * 
     * @param cause the original exception.
     */
    public StateInitializationException(Throwable cause) {
        super(cause);
    }

    /**
     * Create a <code>StateInitializationException</code>, set the exception 
     * error message along with the exception object that caused this exception.
     * 
     * @param message the detail of the error message.
     * @param cause the original exception.
     */
    public StateInitializationException(String message, Throwable cause) {
        super(message, cause);
    }

}
