package org.jharks.workflow.exception;

/**
 * A specialized <code>WorkFlowException</code> that indicates an
 * error occurred applying a configured action within a configured workflow
 * state.
 * 
 * @author Michael J. Rizzo
 *
 */
public class WorkFlowActionException extends WorkFlowException {

	private static final long serialVersionUID = 1L;

	/**
     * Create a <code>WorkFlowActionException</code> and set the exception error
     * message.
     *
     * @param message the message of the exception.
     */
    public WorkFlowActionException(String message) {
        super(message);
    }

    /**
     * Create a <code>WorkFlowActionException</code>, and set exception
     * object that caused this exception.  The message is set by default to be
     * the one from the original exception.
     * 
     * @param cause the original exception.
     */
    public WorkFlowActionException(Throwable cause) {
        super(cause);
    }

    /**
     * Create a <code>WorkFlowActionException</code>, set the exception error
     * message along with the exception object that caused this exception.
     * 
     * @param message the detail of the error message.
     * @param cause the original exception.
     */
    public WorkFlowActionException(String message, Throwable cause) {
        super(message, cause);
    }

}
