package org.jharks.workflow.util;

import java.io.Serializable;

/**
 * A strategy for generating ids for uniquely identifying execution artifacts
 * such as flows.
 */
public interface UidGenerator {

    /**
     * Generate a new unique id.
     * @return a serializable id, guaranteed to be unique in some context
     */
    public Serializable generateUid();

    /**
     * Convert the string-encoded uid into its original object form.
     * @param encodedUid the string encoded uid
     * @return the converted uid
     */
    public Serializable parseUid(String encodedUid);
    
}
